# donejs-typeahead

[![Build Status](https://circleci.com/gh/riescorp/donejs-typeahead.png?style=shield)](https://circleci.com/gh/riescorp/donejs-typeahead)

Bootstrap typeahead for canjs

## Usage

### ES6 use

With StealJS, you can import this module directly in a template that is autorendered:

```js
import plugin from 'donejs-typeahead';
```

### CommonJS use

Use `require` to load `donejs-typeahead` and everything else
needed to create a template that uses `donejs-typeahead`:

```js
var plugin = require("donejs-typeahead");
```

## AMD use

Configure the `can` and `jquery` paths and the `donejs-typeahead` package:

```html
<script src="require.js"></script>
<script>
	require.config({
	    paths: {
	        "jquery": "node_modules/jquery/dist/jquery",
	        "can": "node_modules/canjs/dist/amd/can"
	    },
	    packages: [{
		    	name: 'donejs-typeahead',
		    	location: 'node_modules/donejs-typeahead/dist/amd',
		    	main: 'lib/donejs-typeahead'
	    }]
	});
	require(["main-amd"], function(){});
</script>
```

### Standalone use

Load the `global` version of the plugin:

```html
<script src='./node_modules/donejs-typeahead/dist/global/donejs-typeahead.js'></script>
```

## Contributing

### Making a Build

To make a build of the distributables into `dist/` in the cloned repository run

```
npm install
node build
```

### Running the tests

Tests can run in the browser by opening a webserver and visiting the `test.html` page.
Automated tests that run the tests from the command line in Firefox can be run with

```
npm test
```
